//
// 	window_interface.h
//

class window_interface
{
	char model_name[NAME_SIZE];
// frame_list
	int frame_total; 		// total number of frames
	gen_window_list* nsl_frame_list;// pointer to all nsl frames
public:
		window_interface(char*);
		window_interface();
		~window_interface();
// frames
	int 	get_frame_total() { return frame_total; }
	gen_window_list* get_frame_list() { return nsl_frame_list; }

	int	add_frame(display_frame*);

// update all frame windows
	void	update(); // update all frames
	void	display();
	void	clear();
	void	print_status(ostream&);
	void	print_frame_status(ostream&);
	void	print_frame_status(ostream&,char*);
	void	print_frame_status(ostream&,int);
	void	print_window_status(ostream&);
	void	print_window_status(ostream&,char*);
	void	print_window_status(ostream&,int,int);

	display_frame* 	get_display_frame(char*);	// frame name
	display_frame* 	get_display_frame(int);		// frame index
	display_window* get_display_window(char*); 	// window name
	display_window* get_display_window(int,int);// frame & window index
};
