
/****************************************************************/
/*                                                           	*/
/*                       create_winds.c                         */
/*                                                            	*/
/* by Alfredo Weitzenfeld 					*/
/*                                                            	*/
/****************************************************************/
/*  This program has been changed to Xview program by Longguang */
/****************************************************************/
static char SccsId[] = "%W%  %G%"; /* SCCS */

# include "sun_winds.h"

Panel_item create_panel_button(panel,i,j,ni,nj,str,proc)
Scrollable_panel panel;
int i,j,ni,nj;
char *str;
void (*proc)(Panel_item);
{
	return xv_create(panel, PANEL_BUTTON,
		XV_X,	xv_col(panel,i)+ni,
		XV_Y,	xv_row(panel,j)+nj,
                PANEL_LABEL_STRING, str,
		PANEL_NOTIFY_PROC, proc,              
		0);
}
Panel_item create_panel_text(panel,i,j,ni,nj,str,len)
Scrollable_panel panel;
int i,j,ni,nj,len;
char *str;
{
	 return xv_create(panel, PANEL_TEXT,
		XV_X,	xv_col(panel,i)+ni,
		XV_Y,	xv_row(panel,j)+nj,
		PANEL_LABEL_STRING, str,
		PANEL_VALUE_DISPLAY_LENGTH, len,                
		0); 
}

Panel_item create_panel_choice(panel,i,j,ni,nj,str,sval,len)
Scrollable_panel panel;
int i,j,ni,nj,len;
char *str,*sval;
{
	static data = 0;
	return xv_create(panel, PANEL_CHOICE_STACK,
		XV_X,	xv_col(panel,i)+ni,
		XV_Y,	xv_row(panel,j)+nj,
		PANEL_LABEL_STRING, str,
		PANEL_VALUE_DISPLAY_LENGTH, len,
		PANEL_VALUE,++data,
		0);		
}
Panel_item create_panel_message(panel,i,j,str)
Scrollable_panel panel;
int i,j;
char *str;
{
	 return xv_create(panel, PANEL_MESSAGE,
		XV_X,	xv_col(panel,i),
		XV_Y,	xv_row(panel,j),
		PANEL_LABEL_STRING, str,
               	0);
}






