//
// 	panel_object.c
//

# include "nsl.h"
# include "nsl_headers.h"
# include "nsl_winds.h"

panel_object::panel_object(display_window* window,char* n_str,char* t_str,int i)
{ 
	parent_window = window; 			// parent window
	parent_panel = window->get_control_panel();	// parent panel
	main_panel = parent_panel->get_main_panel();	// main panel
	data_panel = parent_panel->get_data_panel();	// data panel

	able_fg = 1;		// display
	strcpy(name,n_str);
	strcpy(type_str,t_str);
	index = i;
}
panel_object::~panel_object()
{
}

void panel_object::print(ostream& out)
{
	out << "set panel_item_index " << index << "\n";
	out << "set panel_item_name " << name << "\n";
	out << "set panel_item_type " << type_str << "\n";
	if (able_fg == 1)
	   out << "set panel_item_enable ON\n";
	else
	   out << "set panel_item_enable OFF\n";
	out << "update panel_item\n";
	out << "\n";
	out.flush();
}
