//
// include text_object.h
//

class text_object : public canvas_object
{
	int wx,wy;		// text location
	char label[NAME_SIZE];  // label
	char text[NAME_SIZE];   // label + value
	int loc_fg;		// 1 - top, 0 - bottom
public:
		text_object(display_window* window,char*,int);
		~text_object();

// set
	void	set_label(char* str) { strcpy(label,str); }
	void	set_text(char* str) { strcpy(text,str); }
	void	set_wx(int s) { wx = s; }
	void	set_wy(int s) { wy = s; }
	void	set_loc_fg(int i) { loc_fg = i; }
// get
	char*	get_label() { return label; }
	char*	get_text() { return text; }
	int	get_wx() { return wx; }
	int	get_wy() { return wy; }
	int	get_loc_fg() { return loc_fg; }

	void	read_from_database();
	void	write_to_database();
	void	display();
};


