//
// 	canvas_object.c
//

# include "nsl.h"
# include "nsl_headers.h"
# include "nsl_winds.h"

canvas_object::canvas_object(display_window* window,char* n_str,char* t_str,int i)
{ 
	parent_window = window; 			// parent window
	parent_canvas = window->get_window_canvas();	// parent canvas
	canvas = parent_canvas->get_canvas();		// drawing canvas

	able_fg = 1;		// display
	redraw_fg = 1;		// redraw every time step
	strcpy(name,n_str);
	strcpy(type_str,t_str);
	index = i;
}
canvas_object::~canvas_object()
{
}

void canvas_object::print(ostream& out)
{
	out << "set canvas_item_index " << index << "\n";
//	if (strcmp(type_str,"text") == 0)
	   out << "set canvas_item_name " << name << "\n";
	out << "set canvas_item_type " << type_str << "\n";
	if (able_fg == 1)
	   out << "set canvas_item_enable ON\n";
	else
	   out << "set canvas_item_enable OFF\n";
	out << "update canvas_item\n";
/*	if (able_fg == 1)
	   out << "enable canvas_item\n";
	else
	   out << "disable canvas_item\n";
*/	out << "\n";
	out.flush();
}
