//
//	nsl_multiplication_library.c
//

# include "nsl.h"
# include "nsl_headers.h"

// multiplication

// product

nsl_matrix NSLprod(nsl_matrix& w,nsl_matrix& x)
{
	nsl_matrix c(w.get_xn(),w.get_yn());

	return c;
}
nsl_vector NSLprod(nsl_vector& w,nsl_matrix& x)
{
	nsl_vector c(w.get_xn());

	return c;
}
nsl_vector NSLprod(nsl_matrix& w,nsl_vector& x)
{
	nsl_vector c(w.get_xn());

	num_type** wv = w.get_matrix();
	num_type* xv = x.get_vector();
	num_type* cv = c.get_vector();

	for (int i = 0; i < w.get_xn(); i++)
	{
	    cv[i] = 0;
	    for (int j = 0; j < w.get_yn(); j++) // x.get_xn()
		cv[i] = cv[i] + wv[i][j]*xv[j];
	}

	return c;
}

