/****************************************************************/
/*                                                            	*/
/*                       nsl_notifier.c                        	*/
/*                                                            	*/
/* by Alfredo Weitzenfeld				      	*/
/*                                                            	*/
/****************************************************************/

# include <xview/notify.h>
# include <sys/ioctl.h> // not used

# include "nsl.h"
# include "nsl_headers.h"

extern nsl_interpreter NSL;

Notify_client CLIENT = (Notify_client) 101; // arbitrary

Notify_value read_input(Notify_client client, int fd)
{
	NSL << cin;
	cout << "nsl> ";
	cout.flush();

	return NOTIFY_DONE;
}
/*
Notify_value process_event(Notify_client client, Notify_event event,
	Notify_arg arg, Notify_event_type)
{
	cout << "EVENT PROCESSED\n";
	cout.flush();

	return NOTIFY_DONE;
}
*/
void init_notifier()
{
	notify_set_input_func(CLIENT,(Notify_func) read_input,0);// cin
//	notify_set_event_func(CLIENT,(Notify_func) process_event,NOTIFY_SAFE);

//      notify_set_output_func(CLIENT,write_output,1);  // cout
//      notify_set_output_func(CLIENT,write_output,2);  // cerr
}
void start_notifier()
{
	notify_start();
}
void notify_winds()
{
	notify_dispatch(); 
}
void notify_do_winds()
{
	notify_do_dispatch(); 
}

